/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ManuMgmt.Process;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class ManuProcess {
    public void makeManuProcess() {
    }

    public void buildPlanFromRequestDetailsUsingTemplateStartingAt() {
    }

    public void addSub() {
    }

    public void addDetail() {
    }

    public BigDecimal calcProductionCosts() {
        return new BigDecimal(0);
    }

    public BigDecimal calcProductionRate() {
        return new BigDecimal(0);
    }

    public BigDecimal calcRejectionRate() {
        return new BigDecimal(0);
    }

    public void convertAllToNet() {
    }

    public boolean mi_isCompleted() {
        return false;
    }

    public BigDecimal mi_estimatePercentCompleted() {
        return new BigDecimal(0);
    }

    public ManuProcess mi_generateActualManuProcess() {
        return new ManuProcess();
    }

    public Vector mi_comparePlanWithActuals() {
        return new Vector();
    }

    public Vector mi_compareActualWithPlan() {
        return new Vector();
    }

    public Vector mi_compareActualWithTemplate() {
        return new Vector();
    }

    public Vector mi_comparePlanWithTemplate() {
        return new Vector();
    }

    public Vector listAllInputsAndOutputs() {
        return new Vector();
    }

    public Vector listNetInputsAndOutputs() {
        return new Vector();
    }

    public static Vector listManuProcessPlans() {
        return new Vector();
    }

    public static Vector listManuProcessExecutions() {
        return new Vector();
    }

    /**
     *@shapeType AggregationLink
     * @supplierCardinality 1..*
     * @clientCardinality 1
     */
    private ManuProcessDetail lnkUnnamed;
    private int interval;
    private String instructions;
    private int whatWeReallyDid;
    private int status;

    /**
     *@clientRole plan
     * @supplierRole actual
     * @clientCardinality 0..1
     * @supplierCardinality 0..*
     */
    private ManuProcess lnkUnnamed11;

    /** @supplierCardinality 1 */
    private IMakeManuProcess lnkUnnamed2;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 0..1
     */
    private AccountingMgmt.Posting.Posting lnkUnnamed1;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private ManuProcessTestResult lnkUnnamed3;

    /**
     *@shapeType AggregationLink
     *  @associates <b>ManuProcess</b>
     * @supplierCardinality 0..*
     * @clientCardinality 0..1
     * @clientRole larger
     * @supplierRole smaller
     */
    private Vector lnkUnnamed4;
}


